- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: c5bac74a-8581-40ad-95ae-529402387631
    creation_time: 2023-02-17T12:06:29.839140Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/nest-if3.i
      input_file_hashes:
        c/loop-invgen/nest-if3.i: ff6ed2162f27809b742c891ab6e2d783f8472921e0d39d2ecd3fd1d3f6661283
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/nest-if3.i
    file_hash: ff6ed2162f27809b742c891ab6e2d783f8472921e0d39d2ecd3fd1d3f6661283
    line: 31
    column: 0
    function: main
  loop_invariant:
    string: n <= k && k == 1 ||  ( 1 <= l && l < 1000000+k && 1 <= k && k <= n && n < 1000000 ) 
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 98166b8e-a156-4389-b25b-9c076030d29a
    creation_time: 2023-02-17T12:06:29.839358Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/nest-if3.i
      input_file_hashes:
        c/loop-invgen/nest-if3.i: ff6ed2162f27809b742c891ab6e2d783f8472921e0d39d2ecd3fd1d3f6661283
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/nest-if3.i
    file_hash: ff6ed2162f27809b742c891ab6e2d783f8472921e0d39d2ecd3fd1d3f6661283
    line: 32
    column: 0
    function: main
  loop_invariant:
    string: 1 <= l && l < 1000000+k && 1 <= k && k < n && n < 1000000 && 1 <= l && l <= i &&  ( i <= n || l > n ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: e58c45c2-dc3b-460b-91b0-d4101b5267f0
    creation_time: 2023-02-17T12:06:29.839543Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invgen/nest-if3.i
      input_file_hashes:
        c/loop-invgen/nest-if3.i: ff6ed2162f27809b742c891ab6e2d783f8472921e0d39d2ecd3fd1d3f6661283
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invgen/nest-if3.i
    file_hash: ff6ed2162f27809b742c891ab6e2d783f8472921e0d39d2ecd3fd1d3f6661283
    line: 33
    column: 0
    function: main
  location_invariant:
    string: 1 <= i
    type: assertion
    format: C

